# sio.c File Reference

`#include <pspkernel.h>`
`#include <pspdebug.h>`

Include dependency graph for sio.c:

## Defines

#define | PSP_UART4_FIFO 0xBE500000
#define | PSP_UART4_STAT 0xBE500018
#define | PSP_UART4_DIV1 0xBE500024
#define | PSP_UART4_DIV2 0xBE500028
#define | PSP_UART4_CTRL 0xBE50002C
#define | PSP_UART_CLK 96000000
#define | PSP_UART_TXFULL 0x20
#define | PSP_UART_RXEMPTY 0x10

## Functions

int | sceHprmEnd (void)
int | sceSysregUartIoEnable (int uart)
int | sceSyscon_driver_44439604 (int power)
void | pspDebugSioPutchar (int ch)
| Put a character to the remote sio.
int | pspDebugSioGetchar (void)
| Get a character from the remote sio.
void | pspDebugSioPuts (const char *str)
| Write a string to the sio port.
int | pspDebugSioPutData (const char *data, int len)
| Write a set of data to the sio port.
void | pspDebugSioSetBaud (int baud)
| Set the baud rate of the SIO, e.g.
void | pspDebugSioInit (void)
| Initialise the remote SIO port (defaults to 4800 8N1).
void | pspDebugEnablePutchar (void)
| Enable debug character output.
void | pspDebugSioInstallKprintf (void)
| Install a kprintf debug putchar handler.

## Variables

u32 | sceKernelRemoveByDebugSection

## Define Documentation

#define PSP_UART4_CTRL 0xBE50002C

#define PSP_UART4_DIV1 0xBE500024

#define PSP_UART4_DIV2 0xBE500028

#define PSP_UART4_FIFO 0xBE500000

#define PSP_UART4_STAT 0xBE500018

#define PSP_UART_CLK 96000000

#define PSP_UART_RXEMPTY 0x10

#define PSP_UART_TXFULL 0x20

## Function Documentation

int sceHprmEnd | ( | void |  | ) |

int sceSyscon_driver_44439604 | ( | int | power | ) |

int sceSysregUartIoEnable | ( | int | uart | ) |

## Variable Documentation

u32 sceKernelRemoveByDebugSection